> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.6/reference/optimization-packs/elasticsearch-pack/elasticsearch-6.md).

# Elasticsearch 6

This page describes the Optimization Pack for the component type Elasticsearch 6.

## Metrics

| Metric                                 | Unit         | Description                                                                                                      |
| -------------------------------------- | ------------ | ---------------------------------------------------------------------------------------------------------------- |
| es\_cluster\_search\_query\_time       | milliseconds | The average search query time of elasticsearch                                                                   |
| es\_cluster\_search\_query\_throughput | queries/s    | The throughput of elasticsearch in terms of search queries per second                                            |
| es\_cluster\_active\_shards            | shards       | The total number of active shards (including replica shards) across all indices within the elasticsearch cluster |
| es\_cluster\_status                    | flag         | The status of the elasticsearch search cluster, red = 0, yellow = 1, green = 2                                   |
| es\_cluster\_out\_packets              | packets/s    | The number of packets per second transmitted outside of the elasticsearch cluster                                |
| es\_cluster\_out\_bytes                | bytes/s      | The number of bytes per second transmitted outside of the elasticsearch cluster                                  |
| es\_cluster\_in\_packets               | packets/s    | The number of packets per second received by the elasticsearch cluster                                           |
| es\_cluster\_in\_bytes                 | bytes/s      | The number of bytes per second received by the elasticsearch cluster                                             |
| es\_node\_process\_open\_files         | files        | The total number of file descriptors opened by the elasticsearch process within the elasticsearch node           |
| es\_node\_process\_cpu\_util           | percentage   | The CPU utilization % of the elasticsearch process within the elasticsearch node                                 |
| es\_node\_process\_jvm\_gc\_duration   | milliseconds | The average duration of jvm garbage collection for the eleasticearch process                                     |
| es\_node\_process\_jvm\_gc\_count      | gcs          | The total number of jvm garbage collections that have occurred for the elasticsearch process in the node         |

## Parameters

| Parameter                                      | Type    | Unit      | Default value | Domain         | Restart | Description                                              |
| ---------------------------------------------- | ------- | --------- | ------------- | -------------- | ------- | -------------------------------------------------------- |
| index\_merge\_scheduler\_max\_thread\_count    | integer | threads   | `3`           | `1` → `10`     |         | ElasticSearch max number of threads for merge operations |
| indices\_store\_throttle\_max\_bytes\_per\_sec | integer | bytes/s   | `20`          | `10` → `500`   |         | ElasticSearch max bandwidth for store operations.        |
| index\_translog\_flush\_threshold\_size        | integer | megabytes | `512`         | `256` → `1024` |         | ElasticSearch flush threshold size.                      |
| index\_refresh\_interval                       | integer | seconds   | `1`           | `10` → `30`    |         | ElasticSearch refresh interval.                          |
| index\_number\_of\_shards                      | integer | shards    | `5`           | `1` → `10`     |         | ElasticSearch number of shards.                          |
| index\_number\_of\_replicas                    | integer | replicas  | `1`           | `0` → `1`      |         | ElasticSearch number of replicas.                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.6/reference/optimization-packs/elasticsearch-pack/elasticsearch-6.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
